CurvesDialog Class Reference

Add/remove curves dialog. More...

`#include <CurvesDialog.h>`

Inheritance diagram for CurvesDialog:

## Public Types

enum | TreeItemType { FolderItem, ColumnItem, TableItem, MatrixItem }

## Public Member Functions

| CurvesDialog (QWidget *parent=0, Qt::WFlags fl=0)
void | setGraph (Graph *graph)

## Private Slots

void | addCurves ()
int | curveStyle ()
void | enableAddBtn ()
void | enableContentsBtns ()
void | raiseCurve ()
void | removeCurves ()
void | shiftCurveBy (int offset=1)
void | showCurrentFolder (bool)
void | showCurveBtn (int)
void | showCurveRange (bool)
void | showCurveRangeDialog ()
void | showFunctionDialog ()
void | showPlotAssociations ()
void | updateCurveRange ()

## Private Member Functions

bool | addCurveFromMatrix (Matrix *m)
bool | addCurveFromTable (ApplicationWindow *app, Table *t, const QString &name)
void | addFolderItems (Folder *f, QTreeWidgetItem *parent=0)
void | closeEvent (QCloseEvent *)
void | contextMenuEvent (QContextMenuEvent *)
void | init ()
QSize | sizeHint () const

## Private Attributes

QTreeWidget * | available
QComboBox * | boxMatrixStyle
QCheckBox * | boxShowCurrentFolder
QCheckBox * | boxShowRange
QComboBox * | boxStyle
QComboBox * | boxXAxis
QComboBox * | boxYAxis
QPushButton * | btnAdd
QPushButton * | btnAssociations
QPushButton * | btnCancel
QPushButton * | btnDown
QPushButton * | btnEditFunction
QPushButton * | btnOK
QPushButton * | btnRange
QPushButton * | btnRemove
QPushButton * | btnUp
QListWidget * | contents
Graph * | d_graph

## Detailed Description

Add/remove curves dialog.

## Member Enumeration Documentation

enum CurvesDialog::TreeItemType

Enumerator
FolderItem |
ColumnItem |
TableItem |
MatrixItem |

## Constructor & Destructor Documentation

CurvesDialog::CurvesDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References addCurves(), available, boxMatrixStyle, boxShowCurrentFolder, boxShowRange, boxStyle, boxXAxis, boxYAxis, btnAdd, btnAssociations, btnCancel, btnDown, btnEditFunction, btnOK, btnRange, btnRemove, btnUp, contents, enableAddBtn(), enableContentsBtns(), init(), raiseCurve(), removeCurves(), shiftCurveBy(), showCurrentFolder(), showCurveBtn(), showCurveRange(), showCurveRangeDialog(), showFunctionDialog(), and showPlotAssociations().

## Member Function Documentation

bool CurvesDialog::addCurveFromMatrix | ( | Matrix * | m | ) |

private

References Graph::addHistogram(), boxMatrixStyle, boxXAxis, boxYAxis, Graph::ColorMap, Graph::Contour, d_graph, Graph::GrayScale, and Graph::plotSpectrogram().

Referenced by addCurves().

bool CurvesDialog::addCurveFromTable | ( | ApplicationWindow * | app,
|  | Table * | t,
|  | const QString & | name
| ) |  |

private

References CurveLayout::aCol, Graph::addLegendItem(), Graph::Area, CurveLayout::aStyle, boxXAxis, boxYAxis, CurveLayout::connectType, Graph::curveCount(), curveStyle(), ApplicationWindow::d_curve_line_style, ApplicationWindow::d_fill_symbols, d_graph, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_symbol_style, ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultSymbolEdge, ApplicationWindow::defaultSymbolSize, CurveLayout::fillCol, CurveLayout::filledArea, Graph::guessUniqueCurveLayout(), Graph::Histogram, Graph::HorizontalBars, Graph::HorizontalSteps, ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), Graph::initCurveLayout(), Graph::insertCurve(), CurveLayout::lCol, Graph::Line, DataCurve::loadData(), CurveLayout::lStyle, CurveLayout::lWidth, CurveLayout::penWidth, Graph::Spline, CurveLayout::sSize, Graph::StackBar, Graph::StackColumn, CurveLayout::sType, CurveLayout::symCol, Graph::updateCurveLayout(), Graph::VerticalBars, Graph::VerticalDropLines, and Graph::VerticalSteps.

Referenced by addCurves().

void CurvesDialog::addCurves | ( |  | ) |

private slot

References addCurveFromMatrix(), addCurveFromTable(), available, boxShowRange, ColumnItem, contents, Graph::curveCount(), d_graph, FolderItem, LegendWidget::isAutoUpdateEnabled(), Graph::legend(), Graph::legendText(), ApplicationWindow::matrix(), MatrixItem, LegendWidget::setAutoUpdate(), LegendWidget::setText(), showCurveRange(), Graph::showPlotErrorMessage(), ApplicationWindow::table(), TableItem, LegendWidget::text(), Graph::updateAxesTitles(), Graph::updatePlot(), and Table::YColumns().

Referenced by contextMenuEvent(), and CurvesDialog().

void CurvesDialog::addFolderItems | ( | Folder * | f,
|  | QTreeWidgetItem * | parent = `0`
| ) |  |

private

References available, Table::colLabel(), Table::colPlotDesignation(), ColumnItem, MatrixItem, Table::numCols(), TableItem, Folder::windowsList(), and Table::Y.

Referenced by showCurrentFolder().

void CurvesDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References ApplicationWindow::d_add_curves_dialog_size.

void CurvesDialog::contextMenuEvent | ( | QContextMenuEvent * | e | ) |

private

References addCurves(), available, contents, FolderItem, and removeCurves().

int CurvesDialog::curveStyle | ( |  | ) |

private slot

References Graph::Area, boxStyle, Graph::Histogram, Graph::HorizontalBars, Graph::HorizontalSteps, Graph::Line, Graph::LineSymbols, Graph::Scatter, Graph::Spline, Graph::VerticalBars, Graph::VerticalDropLines, and Graph::VerticalSteps.

Referenced by addCurveFromTable().

void CurvesDialog::enableAddBtn | ( |  | ) |

private slot

References available, and btnAdd.

Referenced by CurvesDialog(), and setGraph().

void CurvesDialog::enableContentsBtns | ( |  | ) |

private slot

References btnDown, btnRemove, btnUp, and contents.

Referenced by CurvesDialog(), setGraph(), and showCurveRange().

void CurvesDialog::init | ( |  | ) |

private

References Graph::Area, available, boxShowCurrentFolder, boxStyle, btnAdd, ApplicationWindow::d_show_current_folder, ApplicationWindow::defaultCurveStyle, Graph::HorizontalBars, Graph::HorizontalSteps, Graph::Line, Graph::LineSymbols, Graph::Scatter, showCurrentFolder(), Graph::Spline, Graph::VerticalBars, Graph::VerticalDropLines, and Graph::VerticalSteps.

Referenced by CurvesDialog().

void CurvesDialog::raiseCurve | ( |  | ) |

private slot

References shiftCurveBy().

Referenced by CurvesDialog().

void CurvesDialog::removeCurves | ( |  | ) |

private slot

References boxShowRange, contents, Graph::curve(), d_graph, Graph::removeCurve(), showCurveRange(), and Graph::updatePlot().

Referenced by contextMenuEvent(), and CurvesDialog().

void CurvesDialog::setGraph | ( | Graph * | graph | ) |

References contents, d_graph, enableAddBtn(), enableContentsBtns(), and Graph::plotItemsList().

Referenced by ApplicationWindow::showCurvesDialog().

void CurvesDialog::shiftCurveBy | ( | int | offset = `1` | ) |

private slot

References Graph::changeCurveIndex(), contents, d_graph, and Graph::plotItemsList().

Referenced by CurvesDialog(), and raiseCurve().

void CurvesDialog::showCurrentFolder | ( | bool | currentFolder | ) |

private slot

References addFolderItems(), available, ApplicationWindow::currentFolder(), ApplicationWindow::d_show_current_folder, Folder::depth(), TreeWidgetFolderItem::folder(), Folder::folderBelow(), and ApplicationWindow::projectFolder().

Referenced by CurvesDialog(), and init().

void CurvesDialog::showCurveBtn | ( | int |  | ) |

private slot

References btnAssociations, btnEditFunction, btnRange, contents, d_graph, Graph::ErrorBars, Graph::Function, Graph::plotItem(), and PlotCurve::type().

Referenced by CurvesDialog().

void CurvesDialog::showCurveRange | ( | bool | on | ) |

private slot

References contents, Graph::curveCount(), d_graph, enableContentsBtns(), DataCurve::endRow(), Graph::Function, Graph::plotItem(), Graph::plotItemsList(), and DataCurve::startRow().

Referenced by addCurves(), CurvesDialog(), removeCurves(), and updateCurveRange().

void CurvesDialog::showCurveRangeDialog | ( |  | ) |

private slot

References contents, d_graph, CurveRangeDialog::setCurvesToModify(), and updateCurveRange().

Referenced by CurvesDialog().

void CurvesDialog::showFunctionDialog | ( |  | ) |

private slot

References contents, d_graph, and ApplicationWindow::showFunctionDialog().

Referenced by CurvesDialog().

void CurvesDialog::showPlotAssociations | ( |  | ) |

private slot

References contents, and ApplicationWindow::showPlotAssociations().

Referenced by CurvesDialog().

QSize CurvesDialog::sizeHint | ( |  | ) | const

private

void CurvesDialog::updateCurveRange | ( |  | ) |

private slot

References boxShowRange, and showCurveRange().

Referenced by showCurveRangeDialog().

## Member Data Documentation

QTreeWidget* CurvesDialog::available

private

Referenced by addCurves(), addFolderItems(), contextMenuEvent(), CurvesDialog(), enableAddBtn(), init(), and showCurrentFolder().

QComboBox* CurvesDialog::boxMatrixStyle

private

Referenced by addCurveFromMatrix(), and CurvesDialog().

QCheckBox* CurvesDialog::boxShowCurrentFolder

private

Referenced by CurvesDialog(), and init().

QCheckBox* CurvesDialog::boxShowRange

private

Referenced by addCurves(), CurvesDialog(), removeCurves(), and updateCurveRange().

QComboBox* CurvesDialog::boxStyle

private

Referenced by CurvesDialog(), curveStyle(), and init().

QComboBox* CurvesDialog::boxXAxis

private

Referenced by addCurveFromMatrix(), addCurveFromTable(), and CurvesDialog().

QComboBox* CurvesDialog::boxYAxis

private

Referenced by addCurveFromMatrix(), addCurveFromTable(), and CurvesDialog().

QPushButton* CurvesDialog::btnAdd

private

Referenced by CurvesDialog(), enableAddBtn(), and init().

QPushButton* CurvesDialog::btnAssociations

private

Referenced by CurvesDialog(), and showCurveBtn().

QPushButton* CurvesDialog::btnCancel

private

Referenced by CurvesDialog().

QPushButton* CurvesDialog::btnDown

private

Referenced by CurvesDialog(), and enableContentsBtns().

QPushButton* CurvesDialog::btnEditFunction

private

Referenced by CurvesDialog(), and showCurveBtn().

QPushButton* CurvesDialog::btnOK

private

Referenced by CurvesDialog().

QPushButton* CurvesDialog::btnRange

private

Referenced by CurvesDialog(), and showCurveBtn().

QPushButton* CurvesDialog::btnRemove

private

Referenced by CurvesDialog(), and enableContentsBtns().

QPushButton* CurvesDialog::btnUp

private

Referenced by CurvesDialog(), and enableContentsBtns().

QListWidget* CurvesDialog::contents

private

Referenced by addCurves(), contextMenuEvent(), CurvesDialog(), enableContentsBtns(), removeCurves(), setGraph(), shiftCurveBy(), showCurveBtn(), showCurveRange(), showCurveRangeDialog(), showFunctionDialog(), and showPlotAssociations().

Graph* CurvesDialog::d_graph

private

Referenced by addCurveFromMatrix(), addCurveFromTable(), addCurves(), removeCurves(), setGraph(), shiftCurveBy(), showCurveBtn(), showCurveRange(), showCurveRangeDialog(), and showFunctionDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/CurvesDialog.h
- qtiplot/src/plot2D/dialogs/CurvesDialog.cpp